[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/igraph/devel igraph.spec,1.10,1.11



On Sun, 17 Feb 2008 10:53:02 -0500, Neal Becker wrote:

> I'm confused.
> Without adding Provides:        %{name}-%{version}, I have:
> 
> rpm -q --provides -p ~/RPM/RPMS/x86_64/igraph-devel-0.5-8.fc8.x86_64.rpm 
> igraph-devel = 0.5-8.fc8
> 
> igraph-devel and python-igraph have the same version, but different release,
> so don't I need this provides in igraph-devel and requires in
> python-igraph, so the requirement is:
> igraph-devel = 0.5
> without release number?

"igraph-devel = 0.5-8.fc8" satisfies the "igraph-devel = 0.5" requirement,
because the version part, "0.5", matches and the release doesn't matter.

In RPM version comparison, "0.5-8.fc8" is not higher than "0.5", because
only the versions are compared to eachother. Both are version "0.5". If
you want more detailed comparison, use full EVR everywhere.

-- 
Michael Schwendt <mschwendt fedoraproject org>
Fedora release 8 (Werewolf) - Linux 2.6.23.15-137.fc8
loadavg: 1.06 1.08 1.02


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]